Register volunteer at authorized partner kiosk
POST
/api/integrations/clock/register
const url = 'https://example.com/api/integrations/clock/register';const options = { method: 'POST', headers: {'x-kiosk-secret': '<x-kiosk-secret>', 'Content-Type': 'application/json'},};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/integrations/clock/register \ --header 'Content-Type: application/json' \ --header 'x-kiosk-secret: <x-kiosk-secret>' \ --data '{ "phone": "+17045551234", "first_name": "Jane", "last_name": "Doe", "email": "[email protected]" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
phone
required
string
Example
+17045551234first_name
required
string
Example
Janelast_name
string
Example
Doeemail
string format: email
Example
Responses
Section titled “Responses”Volunteer registered successfully
Media typeapplication/json
object
user_id
required
string format: uuid
volunteer_name
required
string
phone
required
string
status
required
string
Example
{ "volunteer_name": "Jane Doe", "phone": "+17045551234", "status": "registered"}Bad request / Invalid input parameters
Media typeapplication/problem+json
RFC 7807 Problem Details for HTTP APIs
object
type
required
string
title
required
string
status
required
Current status of the record or process.
integer
detail
required
string
instance
string
retry_after
integer
Example
{ "status": "IN_PROGRESS", "retry_after": 60}Authentication required or invalid credentials
Media typeapplication/problem+json
RFC 7807 Problem Details for HTTP APIs
object
type
required
string
title
required
string
status
required
Current status of the record or process.
integer
detail
required
string
instance
string
retry_after
integer
Example
{ "status": "IN_PROGRESS", "retry_after": 60}